Bug 1473118 - SELinux is preventing ibus-daemon from 'read' accesses on the lnk_file /var/lib/dbus/machine-id.
SELinux is preventing ibus-daemon from 'read' accesses on the lnk_file /var/l...
Status: POST
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:428a9a08b5adff49151e60cd3df...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 00:47 EDT by Mikhail
Modified: 2017-08-15 04:52 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2017-07-20 00:47:42 EDT
Description of problem:
SELinux is preventing ibus-daemon from 'read' accesses on the lnk_file /var/lib/dbus/machine-id.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that ibus-daemon should be allowed read access on the machine-id lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'ibus-daemon' --raw | audit2allow -M my-ibusdaemon
# semodule -X 300 -i my-ibusdaemon.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:system_dbusd_var_lib_t:s0
Target Objects                /var/lib/dbus/machine-id [ lnk_file ]
Source                        ibus-daemon
Source Path                   ibus-daemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-264.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc1.git1.1.fc27.x86_64 #1
                              SMP Tue Jul 18 23:25:56 UTC 2017 x86_64 x86_64
Alert Count                   25
First Seen                    2017-07-19 14:08:56 +05
Last Seen                     2017-07-20 09:32:05 +05
Local ID                      87dd3b3a-5106-4613-ad8c-e8fa53a23a76

Raw Audit Messages
type=AVC msg=audit(1500525125.505:416): avc:  denied  { read } for  pid=1214 comm="ibus-x11" name="machine-id" dev="sda1" ino=3539154 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:system_dbusd_var_lib_t:s0 tclass=lnk_file permissive=0


Hash: ibus-daemon,xdm_t,system_dbusd_var_lib_t,lnk_file,read

Version-Release number of selected component:
selinux-policy-3.13.1-264.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc1.git1.1.fc27.x86_64
type:           libreport

Potential duplicate: bug 1466986
Comment 1 Jan Kurik 2017-08-15 04:52:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.